﻿#language: ru

@OrdersConfirmation

Функционал: 006. OrdersConfirmation. Создание заявок на производство

Сценарий: 006.1. OrdersConfirmation. Создание заявки на производство 10.10.2020 Сырная ГП Сценарий планирования заявок на производство 1

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	И Я начинаю создавать заявку на производство "10.10.2020" "Сырная ГП" "Сценарий планирования заявок на производство 1"
	И я удаляю все строки таблицы "Продукция"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Ашан" "100,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Перекресток" "120,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Костромской" "Ашан" "130,000"
	И Я добавляю в заявку на производство номенклатуру без характеристики "Крылья куринные (подложка)" "150,000"
	И Я заканчиваю создавать заявку на производство

Сценарий: 006.2. OrdersConfirmation. Создание заявки на производство 10.10.2020 Сырная ГП Сценарий планирования заявок на производство 2

	И Я начинаю создавать заявку на производство "10.10.2020" "Сырная ГП" "Сценарий планирования заявок на производство 2"
	И я удаляю все строки таблицы "Продукция"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Ашан" "200,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Перекресток" "220,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Костромской" "Ашан" "230,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Пошехонский" "Ашан" "240,000"
	И Я добавляю в заявку на производство номенклатуру без характеристики "Крылья куринные (подложка)" "250,000"
	И Я заканчиваю создавать заявку на производство

Сценарий: 006.3. OrdersConfirmation. Создание заявки на производство 17.10.2020 Сырная ГП Сценарий планирования заявок на производство 1

	И Я начинаю создавать заявку на производство "17.10.2020" "Сырная ГП" "Сценарий планирования заявок на производство 1"
	И я удаляю все строки таблицы "Продукция"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Ашан" "300,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Перекресток" "320,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Костромской" "Ашан" "330,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Пошехонский" "Ашан" "340,000"
	И Я добавляю в заявку на производство номенклатуру без характеристики "Крылья куринные (подложка)" "350,000"
	И Я заканчиваю создавать заявку на производство

Сценарий: 006.4. OrdersConfirmation. Создание заявки на производство 17.10.2020 Сырная ГП Сценарий планирования заявок на производство 2

	И Я начинаю создавать заявку на производство "17.10.2020" "Сырная ГП" "Сценарий планирования заявок на производство 2"
	И я удаляю все строки таблицы "Продукция"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Ашан" "400,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Адыгейский" "Перекресток" "420,000"
	И Я добавляю в заявку на производство номенклатуру "Сыр Костромской" "Ашан" "430,000"
	И Я добавляю в заявку на производство номенклатуру без характеристики "Крылья куринные (подложка)" "450,000"
	И Я заканчиваю создавать заявку на производство

Сценарий: 006.5. OrdersConfirmation. Завершение

	И Я закрыл все окна клиентского приложения